/**
 * Copyright (c) 2010 Perforce Software. All rights reserved.
 */
package com.perforce.maven.scm.provider.p4.command;

import java.util.HashMap;
import java.util.Map;

import org.apache.maven.scm.ScmFileStatus;

/**
 * Perforce file status mapper.
 */
public class P4FileStatusMapper
{

    /** The Constant FILESTATUSES. */
    private static final Map<String, ScmFileStatus> FILESTATUSES = new HashMap<String, ScmFileStatus>();

    static
    {
        FILESTATUSES.put( "add", ScmFileStatus.ADDED );
        FILESTATUSES.put( "added", ScmFileStatus.ADDED );
        FILESTATUSES.put( "delete", ScmFileStatus.DELETED );
        FILESTATUSES.put( "deleted", ScmFileStatus.DELETED );
        FILESTATUSES.put( "edit", ScmFileStatus.MODIFIED );
        FILESTATUSES.put( "edited", ScmFileStatus.MODIFIED );
        FILESTATUSES.put( "updating", ScmFileStatus.UPDATED );
        FILESTATUSES.put( "updated", ScmFileStatus.UPDATED );
        // Unknown mapping
        FILESTATUSES.put( "refreshing", ScmFileStatus.UNKNOWN );
        FILESTATUSES.put( "refreshed", ScmFileStatus.UNKNOWN );
    }

    /**
     * Gets the file status.
     * 
     * @param status the status
     * @return the file status
     */
    public static ScmFileStatus getFileStatus( String status )
    {
        ScmFileStatus fileStatus = FILESTATUSES.get( status );
        if ( fileStatus == null )
        {
            fileStatus = ScmFileStatus.UNKNOWN;
        }

        return fileStatus;
    }
}
